package com.tptj.demo.hg.http.handler;

import com.fanruan.api.decision.AuthorityKit;
import com.fanruan.api.net.NetworkKit;
import com.fanruan.api.web.FlushKit;
import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-22
 * 基于平台模块权限的接口实现
 * http://localhost:8075/webroot/decision/plugin/private/com.tptj.demo.hg.http.handler.v10/demo/module?key=哈哈哈
 **/
public class ModulesHttpHandler extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/demo/module";
    }

    @Override
    public boolean isPublic() {
        return false;
    }

    @Override
    public String[] modules(){
        //hugh:仅仅当前用户具有用户管理模块的权限时，才能调用这个请求
        return new String[]{
                AuthorityKit.Management.USER
        };
    }

    @Override
    public void handle(HttpServletRequest request, HttpServletResponse response) throws Exception {
        String key = NetworkKit.getHTTPRequestParameter(request,"key");
        FlushKit.printAsString(response,key);
    }
}
