package com.tptj.demo.hg.http.handler;

import com.fanruan.api.decision.user.UserKit;
import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.tptj.api.start.RequestKit;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Date;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-22
 * 根据用户名判断权限
 * http://localhost:8075/webroot/decision/plugin/private/com.tptj.demo.hg.http.handler.v10/demo/user
 * header: Authorization=Bearer $Fine_Auth_Token
 **/
public class UserHttpHandler extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/demo/user";
    }

    @Override
    public boolean isPublic() {
        return false;
    }

    public boolean accessControl(String userId) {
        //hugh:这个方法的本意是如果超管权限和模块权限控制不够使用时，可以使用这个方法进行权限控制的扩展
        //入参只有一个userId，我们也可以通过下面的方法，获取到当前请求对象，通过请求的其他信息控制权限
        try{
            HttpServletRequest request = RequestKit.loadRequest();
            //UserService.getInstance().getUser(userId).getUsername()
            return "Anna".equals(UserKit.getUserByRequest(request).getUserName());
        }catch(Exception e){
            return false;
        }
    }

    @Override
    public void handle( HttpServletRequest request, HttpServletResponse response ) throws Exception {
        TestResponseBean data = new TestResponseBean();
        data.setTime(new Date());
        data.setMsg("Hello Anna!");
        RequestKit.print(request,response,data);
    }
}
